MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000772contextbug reportpublic2012-09-21 21:462017-03-27 17:10
Reportersalzer 
Assigned ToHans Hagen 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMac OS XOSMac OS XOS Version10.7.4
Product Version 
Target VersionFixed in Version 
Summary0000772: Tabulate no longer works inside framed text.
DescriptionTabulate no longer works inside framed text.
Steps To ReproduceThis simplified file:

%%%%% Begin test file
\definetabulate[WHERE][|rk1|pj1|]
\setuptabulate[WHERE][unit=0.5em,indenting=no,EQ={is}]

\defineframedtext[screenframe]%
    [frame=off,background=screen,corner=round,radius=6pt,width=43em,%
        offset=none,strut=yes]

\definetyping[screenshot]%
    [escape={<,>},before={\startscreenframe},after={\stopscreenframe},margin=0.5em]

\starttext

\startscreenshot
% <\red sudo tprof -usDx {\rm\it prog}
\par\blue\rm
\startWHERE
\NC where {\it prog\/} \EQ the program to profile\NC\NR
\stopWHERE>
\stopscreenshot

\stoptext
%%%%% End test file

Runs find with

This is LuaTeX, Version beta-0.70.1-2011062107 (rev 4277)
ConTeXt ver: 2011.05.18 18:04 MKIV fmt: 2011.11.10 int: english/english

But with

This is LuaTeX, Version beta-0.70.2-2012062819 (TeX Live 2012)
ConTeXt ver: 2012.05.30 11:26 MKIV fmt: 2012.9.20 int: english/english

I get this error

! Misplaced \noalign.

system > tex > error on line 13 in file bugtest.tex: Misplaced \noalign ...

 3
 4 \defineframedtext[screenframe]%
 5 [frame=off,background=screen,corner=round,radius=6pt,width=43em,%
 6 offset=none,strut=yes]
 7
 8 \definetyping[screenshot]%
 9 [escape={<,>},before={\startscreenframe},after={\stopscreenframe},margin=0.5em]
10
11 \starttext
12
13 >> \startscreenshot
14 % <\red sudo tprof -usDx {\rm\it prog}
15 \par\blue\rm
16 \startWHERE
17 \NC where {\it prog\/} \EQ the program to profile\NC\NR
18 \stopWHERE>
19 \stopscreenshot
20
21 \stoptext


\tabulatenoalign ->\noalign
                            \bgroup \let \noalign \relax \let \tabulatenoali...
\tabl_tabulate_insert_foot ->\tabulatenoalign
                                              {\global \settrue \c_tabl_tabu...
\tabl_tabulate_insert_content ...late_insert_foot
                                                  \tabl_tabulate_remove_funn...
\tabl_tabulate_process ...tabulate_insert_content
                                                  \crcr }}\ifnum \c_tabl_tab...
l.13 \stopWHERE
               
\ctxcommand ...\directlua \zerocount {commands.0000001}
                                                  
...
l.19 \stopscreenshot

Nevertheless the output .PDF looks as expected.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001054)
Hans Hagen (manager)
2013-04-05 19:42

seems to work here ; keep \stopWHERE on its own line, no > in that line (side effect of the way tabulate works

- Issue History
Date Modified Username Field Change
2012-09-21 21:46 salzer New Issue
2013-04-05 19:42 Hans Hagen Note Added: 0001054
2013-04-05 19:42 Hans Hagen Status new => resolved
2013-04-05 19:42 Hans Hagen Resolution open => fixed
2013-04-05 19:42 Hans Hagen Assigned To => Hans Hagen
2017-03-27 17:10 Hans Hagen Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker